[Pkg-apache-commits] r1093 - in /trunk/apache2: apache2.2-common.apache2.init changelog

sf at alioth.debian.org sf at alioth.debian.org
Wed Nov 11 20:59:41 UTC 2009


Author: sf
Date: Wed Nov 11 20:59:41 2009
New Revision: 1093

URL: http://svn.debian.org/wsvn/pkg-apache/?sc=1&rev=1093
Log:
Fix output of "/etc/init.d/apache2 status"

Modified:
    trunk/apache2/apache2.2-common.apache2.init
    trunk/apache2/changelog

Modified: trunk/apache2/apache2.2-common.apache2.init
URL: http://svn.debian.org/wsvn/pkg-apache/trunk/apache2/apache2.2-common.apache2.init?rev=1093&op=diff
==============================================================================
--- trunk/apache2/apache2.2-common.apache2.init (original)
+++ trunk/apache2/apache2.2-common.apache2.init Wed Nov 11 20:59:41 2009
@@ -98,7 +98,7 @@
 	else
 		# if we are here something is broken and we need to try
 		# to exit as nice and clean as possible
-		PID=$(pidof_apache)
+		PID=$(pidof_apache) || true
 
 		if [ "${PID}" ]; then
 			# in this case it is everything nice and dandy
@@ -120,7 +120,7 @@
 
 apache_wait_stop() {
 	# running ?
-	PIDTMP=$(pidof_apache)
+	PIDTMP=$(pidof_apache) || true
 	if kill -0 "${PIDTMP:-}" 2> /dev/null; then
 	    PID=$PIDTMP
 	fi
@@ -220,12 +220,12 @@
 			log_end_msg 0
 	;;
 	status)
-		PID=$(pidof_apache)
+		PID=$(pidof_apache) || true
 		if [ -n "$PID" ]; then
-			log_success_msg "Apache is running (pid $PID)."
+			echo "Apache is running (pid $PID)."
 			exit 0
 		else
-			log_failure_msg "Apache is not running."
+			echo "Apache is NOT running."
 			exit 1
 		fi
 	;;

Modified: trunk/apache2/changelog
URL: http://svn.debian.org/wsvn/pkg-apache/trunk/apache2/changelog?rev=1093&op=diff
==============================================================================
--- trunk/apache2/changelog (original)
+++ trunk/apache2/changelog Wed Nov 11 20:59:41 2009
@@ -1,3 +1,9 @@
+apache2 (2.2.14-4) UNRELEASED; urgency=low
+
+  * Fix output of "/etc/init.d/apache2 status" (closes: #555687).
+
+ -- Stefan Fritsch <sf at debian.org>  Wed, 11 Nov 2009 21:51:05 +0100
+
 apache2 (2.2.14-2) unstable; urgency=medium
 
   * Security:




More information about the Pkg-apache-commits mailing list